ApplicationConstants.Environment (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api, interface: ApplicationConstants, enum: Environment

Package org.apache.hadoop.yarn.api

# Enum Class ApplicationConstants.Environment

java.lang.Object
java.lang.Enum<ApplicationConstants.Environment>
org.apache.hadoop.yarn.api.ApplicationConstants.Environment

All Implemented Interfaces:
  `Serializable`, `Comparable<ApplicationConstants.Environment>`, `Constable`

Enclosing interface:
  ApplicationConstants

public static enum ApplicationConstants.Environment extends Enum<ApplicationConstants.Environment>
Environment for Applications. Some of the environment variables for applications are final i.e. they cannot be modified by the applications.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APP_CLASSPATH`
  $APP_CLASSPATH
  `CLASSPATH`
  $CLASSPATH
  `CLASSPATH_PREPEND_DISTCACHE`
  $CLASSPATH_PREPEND_DISTCACHE Private, Windows specific
  `CONTAINER_ID`
  $CONTAINER_ID Final, exported by NodeManager and non-modifiable by users.
  `HADOOP_COMMON_HOME`
  $HADOOP_COMMON_HOME
  `HADOOP_CONF_DIR`
  $HADOOP_CONF_DIR Final, non-modifiable.
  `HADOOP_HDFS_HOME`
  $HADOOP_HDFS_HOME
  `HADOOP_YARN_HOME`
  $HADOOP_YARN_HOME
  `HOME`
  $HOME Final, non-modifiable.
  `JAVA_HOME`
  $JAVA_HOME
  `LD_LIBRARY_PATH`
  $LD_LIBRARY_PATH
  `LOCAL_DIRS`
  $LOCAL_DIRS Final, exported by NodeManager and non-modifiable by users.
  `LOCAL_USER_DIRS`
  $LOCAL_USER_DIRS Final, exported by NodeManager and non-modifiable by users.
  `LOCALIZATION_COUNTERS`
  $LOCALIZATION_COUNTERS Since NM does not RPC Container JVM's we pass Localization counter vector as an environment variable
  `LOG_DIRS`
  $LOG_DIRS Final, exported by NodeManager and non-modifiable by users.
  `LOGNAME`
  $LOGNAME Final, non-modifiable.
  `MALLOC_ARENA_MAX`
  $MALLOC_ARENA_MAX
  `NM_HOST`
  $NM_HOST Final, exported by NodeManager and non-modifiable by users.
  `NM_HTTP_PORT`
  $NM_HTTP_PORT Final, exported by NodeManager and non-modifiable by users.
  `NM_PORT`
  $NM_PORT Final, exported by NodeManager and non-modifiable by users.
  `PATH`
  $PATH
  `PWD`
  $PWD Final, non-modifiable.
  `SHELL`
  $SHELL
  `USER`
  $USER Final, non-modifiable.
  `YARN_CONTAINER_RUNTIME_DOCKER_RUN_OVERRIDE_DISABLE`
  $YARN_CONTAINER_RUNTIME_DOCKER_RUN_OVERRIDE_DISABLE Final, Docker run support ENTRY_POINT.
  `YARN_CONTAINER_RUNTIME_YARN_SYSFS_ENABLE`
  $YARN_CONTAINER_RUNTIME_YARN_SYSFS_ENABLE Final, expose cluster information to container.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `$()`
  Expand the environment variable based on client OS environment variable expansion syntax (e.g.
  `String`
  `$$()`
  Expand the environment variable in platform-agnostic syntax.
  `String`
  `key()`
  `String`
  `toString()`
  `static ApplicationConstants.Environment`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ApplicationConstants.Environment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USER

    public static final ApplicationConstants.Environment USER
    $USER Final, non-modifiable.

  - ### LOGNAME

    public static final ApplicationConstants.Environment LOGNAME
    $LOGNAME Final, non-modifiable.

  - ### HOME

    public static final ApplicationConstants.Environment HOME
    $HOME Final, non-modifiable.

  - ### PWD

    public static final ApplicationConstants.Environment PWD
    $PWD Final, non-modifiable.

  - ### PATH

    public static final ApplicationConstants.Environment PATH
    $PATH

  - ### SHELL

    public static final ApplicationConstants.Environment SHELL
    $SHELL

  - ### JAVA_HOME

    public static final ApplicationConstants.Environment JAVA_HOME
    $JAVA_HOME

  - ### CLASSPATH

    public static final ApplicationConstants.Environment CLASSPATH
    $CLASSPATH

  - ### APP_CLASSPATH

    public static final ApplicationConstants.Environment APP_CLASSPATH
    $APP_CLASSPATH

  - ### LD_LIBRARY_PATH

    public static final ApplicationConstants.Environment LD_LIBRARY_PATH
    $LD_LIBRARY_PATH

  - ### HADOOP_CONF_DIR

    public static final ApplicationConstants.Environment HADOOP_CONF_DIR
    $HADOOP_CONF_DIR Final, non-modifiable.

  - ### HADOOP_COMMON_HOME

    public static final ApplicationConstants.Environment HADOOP_COMMON_HOME
    $HADOOP_COMMON_HOME

  - ### HADOOP_HDFS_HOME

    public static final ApplicationConstants.Environment HADOOP_HDFS_HOME
    $HADOOP_HDFS_HOME

  - ### MALLOC_ARENA_MAX

    public static final ApplicationConstants.Environment MALLOC_ARENA_MAX
    $MALLOC_ARENA_MAX

  - ### HADOOP_YARN_HOME

    public static final ApplicationConstants.Environment HADOOP_YARN_HOME
    $HADOOP_YARN_HOME

  - ### CLASSPATH_PREPEND_DISTCACHE

    @Private public static final ApplicationConstants.Environment CLASSPATH_PREPEND_DISTCACHE
    $CLASSPATH_PREPEND_DISTCACHE Private, Windows specific

  - ### LOCALIZATION_COUNTERS

    public static final ApplicationConstants.Environment LOCALIZATION_COUNTERS
    $LOCALIZATION_COUNTERS Since NM does not RPC Container JVM's we pass Localization counter vector as an environment variable

  - ### CONTAINER_ID

    public static final ApplicationConstants.Environment CONTAINER_ID
    $CONTAINER_ID Final, exported by NodeManager and non-modifiable by users.

  - ### NM_HOST

    public static final ApplicationConstants.Environment NM_HOST
    $NM_HOST Final, exported by NodeManager and non-modifiable by users.

  - ### NM_HTTP_PORT

    public static final ApplicationConstants.Environment NM_HTTP_PORT
    $NM_HTTP_PORT Final, exported by NodeManager and non-modifiable by users.

  - ### NM_PORT

    public static final ApplicationConstants.Environment NM_PORT
    $NM_PORT Final, exported by NodeManager and non-modifiable by users.

  - ### LOCAL_DIRS

    public static final ApplicationConstants.Environment LOCAL_DIRS
    $LOCAL_DIRS Final, exported by NodeManager and non-modifiable by users.

  - ### LOCAL_USER_DIRS

    public static final ApplicationConstants.Environment LOCAL_USER_DIRS
    $LOCAL_USER_DIRS Final, exported by NodeManager and non-modifiable by users.

  - ### LOG_DIRS

    public static final ApplicationConstants.Environment LOG_DIRS
    $LOG_DIRS Final, exported by NodeManager and non-modifiable by users. Comma separate list of directories that the container should use for logging.

  - ### YARN_CONTAINER_RUNTIME_DOCKER_RUN_OVERRIDE_DISABLE

    public static final ApplicationConstants.Environment YARN_CONTAINER_RUNTIME_DOCKER_RUN_OVERRIDE_DISABLE
    $YARN_CONTAINER_RUNTIME_DOCKER_RUN_OVERRIDE_DISABLE Final, Docker run support ENTRY_POINT.

  - ### YARN_CONTAINER_RUNTIME_YARN_SYSFS_ENABLE

    public static final ApplicationConstants.Environment YARN_CONTAINER_RUNTIME_YARN_SYSFS_ENABLE
    $YARN_CONTAINER_RUNTIME_YARN_SYSFS_ENABLE Final, expose cluster information to container.

- ## Method Details

  - ### values

    public static ApplicationConstants.Environment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ApplicationConstants.Environment valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### key

    public String key()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ApplicationConstants.Environment>`

  - ### $

    public String $()
    Expand the environment variable based on client OS environment variable expansion syntax (e.g. $VAR for Linux and %VAR% for Windows).

    Note: Use $$() method for cross-platform practice i.e. submit an application from a Windows client to a Linux/Unix server or vice versa.

    Returns:
      expanded environment variable.

  - ### $$

    @Public @Unstable public String $$()
    Expand the environment variable in platform-agnostic syntax. The parameter expansion marker "{{VAR}}" will be replaced with real parameter expansion marker ('%' for Windows and '$' for Linux) by NodeManager on container launch. For example: {{VAR}} will be replaced as $VAR on Linux, and %VAR% on Windows.
    Returns:
      expanded environment variable.